# Interface ReplicatedSessionListener

All Superinterfaces:
  `EventListener`, `Serializable`, `SessionListener`

All Known Implementing Classes:
  `ClusterSingleSignOnListener`

public interface ReplicatedSessionListener extends SessionListener, Serializable
This is a marker interface used to indicate an implementation of `SessionListener` that should be replicated with the session across the cluster.

- ## Method Summary

  ### Methods inherited from interface org.apache.catalina.SessionListener

  `sessionEvent`